// Datei Florian.java
/* ------------------------------------------------------------------------
Dieser Modul Florian enthaelt zwei Methoden: blanksRaus und blanksRein.
------------------------------------------------------------------------ */
public class Florian {
   final static char BLANK = ' ';
   // ---------------------------------------------------------------------
   static public String blanksRaus(String s) {
      // Liefert einen String, der alle von BLANK verschiedenen Zeichen
      // aus s (in der gleichen Reihenfolg wie in s) enthaelt.
      // Beispiele:
      // blanksRaus(" A B  C ") ist gleich "ABC"
      // blanksRaus("ABC")      ist gleich "ABC"
      // blanksRaus("")         ist gleich ""

      return "blanksRaus: Unsinn"; // MUSS ERSETZT WERDEN
   } // blanksRaus
   // ---------------------------------------------------------------------
   static public String blanksRein(String s) {
      // Liefert einen String, der alle Zeichen aus s (in der gleichen
      // Reihenfolge wie in s) enthaelt, aber zusaetzlich zwischen je
      // zwei Zeichen aus s ein BLANK.
      // Beispiele:
      // blanksRein("ABC") ist gleich "A B C"
      // blanksRein("A")   ist gleich "A"
      // blanksRein("")    ist gleich ""

      return "blanksRein: Unsinn"; // MUSS ERSETZT WERDEN
   } // blanksRein
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      // Ermoeglicht es, die Methoden blanksRaus und blanksRein zu testen.
      pln("Florian: Jetzt geht es los!");
      String einGabe = new String("weitermachen!");
      while (true) {
         p("Eine Zeichenkette ('q' zum Beenden)? ");
         einGabe = EM.liesString();
         if (einGabe.equals("q")) break;
         pln("Eingabe   : -->" + einGabe             + "<--");
         pln("blanksRaus: -->" + blanksRaus(einGabe) + "<--");
         pln("blanksRein: -->" + blanksRein(einGabe) + "<--");
      }
      pln("Florian: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Mehrere Methoden mit kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   static void p  (Object ob) {System.out.print  (ob);}
         // ---------------------------------------------------------------------
} // class Florian
/* ------------------------------------------------------------------------
Ein Dialog mit dem Programm Florian:

Florian: Jetzt geht es los!
Eine Zeichenkette ('q' zum Beenden)? Hallo Sonja, wie geht's?
Eingabe   : -->Hallo Sonja, wie geht's?<--
blanksRaus: -->HalloSonja,wiegeht's?<--
blanksRein: -->H a l l o   S o n j a ,   w i e   g e h t ' s ?<--
Eine Zeichenkette ('q' zum Beenden)? q
Florian: Das war's erstmal!
------------------------------------------------------------------------ */