// Datei InWorten.java (deutsche Zahlworte)
/* ------------------------------------------------------------------------
Diese Klasse enthaelt vier Klassenmethoden mit den folgenden Profilen:

String inWorten_1_9  (int n)
String inWorten_10_19(int n)
String inWorten_20_90(int n)
String inWorten_0_999(int n)

Jede dieser Methoden wandelt bestimmte int-Werte in die entsprechenden
deutschen Zahlworte um (z.B. die Zahl 5 in das Zahlwort fuenf oder
die Zahl 123 in das Zahlwort einhundertunddreiundzwanzig).
------------------------------------------------------------------------ */
public class InWorten {
   // ---------------------------------------------------------------------
   static public String inWorten_1_9(int n) {
      // Wenn n zwischen 1 und 9 liegt, wird das entsprechende deutsche,
      // maennliche Zahlwort als Ergebnis geliefert, und sonst eine Fehler-
      // meldung (die u.a. den Namen der Methode enthaelt).
      //
      // Fuer die Zahl 1 gibt es zwei Zahlworte,
      // ein weibliches:  eine (wie in eine Frau, eine DM) und
      // ein maennliches: ein  (wie in ein  Mann, ein  Euro).
      // Hier wird die maennliche Variante ("fuer Euro") geliefert.

      return null; // MUSS ERSETZT WERDEN
   } // inWorten_1_9
   // ---------------------------------------------------------------------
   static public String inWorten_10_19(int n) {
      // Wenn n zwischen 10 und 19 liegt, wird das entsprechende deutsche
      // Zahlwort geliefert, und sonst eine Fehlermeldung (die u.a. den
      // Namen der Methode enthaelt).

      return null; // MUSS ERSETZT WERDEN
   } // inWorten_10_19
   // ---------------------------------------------------------------------
   static public String inWorten_20_90(int n) {
      // Wenn n zwischen 2 und 9 liegt, wird das entsprechende deutsche
      // Wort fuer die Zahl n * 10 geliefert, und sonst eine Fehlermeldung
      // (die u.a. den Namen der Methode enthaelt).

      return null; // MUSS ERSETZT WERDEN
   } // inWorten_20_90
   // ---------------------------------------------------------------------
   static public String inWorten_0_999(int n) {
      // Wenn n zwischen 0 und 999 liegt, wird das entsprechende deutsche,
      // maennliche Zahlwort geliefert, und sonst eine Fehlermeldung
      //(die u.a. den Namen der Methode enthaelt).

      // 1. Wenn n falsch ist, eine Fehlermeldung liefern (nicht ausgeben!)
      ; // MUSS ERSETZT WERDEN

      // 2. Den Sonderfall "n ist gleich 0" behandeln:
      ; // MUSS ERSETZT WERDEN

      // 3. Ein paar Variablen vereinbaren und
      // die einzelnen Dezimalziffern von n berechnen:
      final int e   = n /   1 % 10; // Einerziffer
      final int z   = n /  10 % 10; // Zehnerziffer
      final int h   = n / 100 % 10; // Hunderterziffer
      final int ze  = n % 100;      // Zehner- und Einerziffer zusammen
      String    erg = "";           // Fuer das Ergebnis dieser Funktion

      // 4. Die Hunderterziffer h bearbeiten,
      // mit "hundert" und evtl "und" dahinter:
      ; // MUSS ERSETZT WERDEN

      // 5. Die Sonderfaelle "ze liegt zwischen 10 und 19" bearbeiten:
      ; // MUSS ERSETZT WERDEN

      // 6. Die Einerziffer e bearbeiten, evtl "und" anhaengen:
      ; // MUSS ERSETZT WERDEN

      // 7. Die Zehnerziffer z bearbeiten:
      return null; // MUSS ERSETZT WERDEN

   } // inWorten_0_999
   // ---------------------------------------------------------------------
   static public void main(String[] _) {
      pln("InWorten: Jetzt geht es los!");
      pln("---------------------------------------------");
/*
      for (int n = 0; n <= 999; n++) {
         pln(inWorten_0_999(n));
      }
*/
      pln("Zum Testen dieser Klasse InWorten eignet sich");
      pln("das Programm InWortenJut!");
      pln("---------------------------------------------");
      pln("InWorten: Das war's erstmal!");
   } // main
   // ---------------------------------------------------------------------
   // Eine Methode mit einem kurzen Namen:
   static void pln(Object ob) {System.out.println(ob);}
   // ---------------------------------------------------------------------
} // class InWorten
